Bug 644021

Summary: Unable to add <graphics> device to kvm guest -- libvirtError: internal error unable to reserve PCI address
Product: [Fedora] Fedora Reporter: James Laska <jlaska>
Component: libvirtAssignee: Libvirt Maintainers <libvirt-maint>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: 14CC: berrange, bugzilla, clalance, crobinso, dallan, itamar, jforbes, jturner, stanislav.polasek, veillard, virt-maint
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-01-24 16:57:09 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Attachments:
Description Flags
virt-manager --debug none

Description James Laska 2010-10-18 14:46:30 EDT
Created attachment 454192 [details]
virt-manager --debug

Description of problem:

Attempting to add a graphics adapter to a KVM guest results in a traceback.  See attachment for virt-manager --debug output

Version-Release number of selected component (if applicable):
libvirt-0.8.3-2.fc14.x86_64
virt-manager-0.8.5-1.fc14.noarch

How reproducible:
 * Seems to happen everytime ... I've rebooted and restarted libvirtd, same result

Steps to Reproduce:
1. Install Fedora 14
2. Define a KVM guest and install Fedora 13 (testing F13->F14 preupgrade)
3. With guest shutdown, using virt-manager, attempt to add a Graphics device to the system
  
Actual results:

2010-10-18 14:38:23,341 (error:86): Uncaught Error: Error adding device: internal error unable to reserve PCI address 0:0:2 : Traceback (most recent call last):
  File "/usr/share/virt-manager/virtManager/addhardware.py", line 1043, in add_device
    self.vm.add_device(self._dev)
  File "/usr/share/virt-manager/virtManager/domain.py", line 1486, in add_device
    self._redefine(_add_xml_device, devxml)
  File "/usr/share/virt-manager/virtManager/libvirtobject.py", line 152, in _redefine
    self._define(newxml)
  File "/usr/share/virt-manager/virtManager/domain.py", line 1228, in _define
    self.get_connection().define_domain(newxml)
  File "/usr/share/virt-manager/virtManager/connection.py", line 751, in define_domain
    self.vmm.defineXML(xml)
  File "/usr/lib64/python2.7/site-packages/libvirt.py", line 1299, in defineXML
    if ret is None:raise libvirtError('virDomainDefineXML() failed', conn=self)
libvirtError: internal error unable to reserve PCI address 0:0:2


Expected results:

No traceback

Additional info:
Comment 1 Jason 2011-01-25 10:21:09 EST
I'm also experiencing the same problem on RHEL 6.0.  When I use the gui to add a "Graphics" or "Video" device, I get the same traceback:

Traceback (most recent call last):
  File "/usr/share/virt-manager/virtManager/addhardware.py", line 1043, in add_device
    self.vm.add_device(self._dev)
  File "/usr/share/virt-manager/virtManager/domain.py", line 1478, in add_device
    self._redefine(_add_xml_device, devxml)
  File "/usr/share/virt-manager/virtManager/libvirtobject.py", line 152, in _redefine
    self._define(newxml)
  File "/usr/share/virt-manager/virtManager/domain.py", line 1220, in _define
    self.get_connection().define_domain(newxml)
  File "/usr/share/virt-manager/virtManager/connection.py", line 760, in define_domain
    self.vmm.defineXML(xml)
  File "/usr/lib64/python2.6/site-packages/libvirt.py", line 1292, in defineXML
    if ret is None:raise libvirtError('virDomainDefineXML() failed', conn=self)
libvirtError: internal error unable to reserve PCI address 0:0:2
Comment 2 Fedora Admin XMLRPC Client 2011-09-22 13:56:31 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 3 Fedora Admin XMLRPC Client 2011-09-22 14:00:41 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 4 Fedora Admin XMLRPC Client 2011-11-30 14:57:05 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 5 Fedora Admin XMLRPC Client 2011-11-30 14:58:25 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 6 Fedora Admin XMLRPC Client 2011-11-30 15:03:18 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 7 Fedora Admin XMLRPC Client 2011-11-30 15:03:58 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 8 Cole Robinson 2012-01-24 16:57:09 EST
Hmm, not sure what caused that issue.

But since F14 is EOL, closting this. Please reopen if this is still relevant in a more recent fedora.